org.apache.jasper.el

## Class VariableResolverImpl

- java.lang.Object
- - org.apache.jasper.el.VariableResolverImpl

- All Implemented Interfaces:
    VariableResolver

  Deprecated.

      @Deprecated
      public final class VariableResolverImpl
      extends Object
      implements VariableResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableResolverImpl(ELContext ctx)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `resolveVariable(String pName)` Deprecated. Resolves the specified variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableResolverImpl

          public VariableResolverImpl(ELContext ctx)

      Deprecated.

  - ### Method Detail

    - #### resolveVariable

          public Object resolveVariable(String pName)
                                 throws ELException

      Deprecated.
      Description copied from interface: `javax.servlet.jsp.el.VariableResolver`
      Resolves the specified variable. Returns null if the variable is not found.
      Specified by:
        `resolveVariable` in interface `VariableResolver`
      Parameters:
        `pName` - the name of the variable to resolve
      Returns:
        the result of the variable resolution
      Throws:
        `ELException` - if a failure occurred while trying to resolve the given variable

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.